<?php
//error_reporting(0);
include('../../config/database.php');
include('funciones.php');
$metodo = $_SERVER['REQUEST_METHOD'];

if ($metodo == 'GET') {

    $json[] = array(
        'code' => 401,
        'message' => 'Error in user or password'
    );
    $jsonstring = json_encode($json);
    echo $jsonstring;
}

if ($metodo == 'POST') {
    $codped = $_POST['codped'];
    $supedido = $_POST['supedido'];
    $codcli = $_POST['codcli'];
    $nit = $_POST['nit'];
    $descli = $_POST['descli'];
    $poblacion = $_POST['poblacion'];
    $direccion = substr($_POST['direccion'], 0, 19);
    $telefono = $_POST['telefono'];
    $fecha_pedido = $_POST['fecha_pedido'];
    $fecha_entrega = $_POST['fecha_entrega'];
    $valor_asegurado = $_POST['valor_asegurado'];
    $observacion = $_POST['observacion'];
    $lineas = (array)$_POST['lineas_pedidos'];
    $cliente = $_POST['cliente'];
    $usuario = $_POST['usuario'];
    $clave = $_POST['clave'];
    $fecha_proceso = date("Y-m-d H:i:s");
    $m = substr($fecha_proceso, 5, 2);
    $d = substr($fecha_proceso, 8, 2);
    $y = substr($fecha_proceso, 0, 4);
    $jd = GregorianToJD($m, $d, $y);
    $hora = substr($fecha_proceso, 11, 5);

    //Validar usuario 
    if (validaUser($usuario, $clave, $mysqli, $cliente)) {
        //Validacion de campos
        if ($codped == '' || strlen($codped) > 20) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento codped esta vacio o excede los 20 caracteres permitidos'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($supedido == '' || strlen($supedido) > 20) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento supedido esta vacio o excede los 20 caracteres permitidos'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($nit == '' || strlen($nit) > 20) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento nit esta vacio o supera el numero de caracteres permitidos de 20'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($codcli == '' || strlen($codcli) > 20) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento codcli esta vacio o excede los 20 caracteres permitidos'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($descli == '' || strlen($descli) > 60) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento descli esta vacio o excede los 20 caracteres permitidos'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($direccion == '' || strlen($direccion) > 60) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento direccion esta vacio o supera el numero de caracteres permitidos de 60'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($poblacion == '' || strlen($poblacion) > 40) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento poblacion esta vacio o supera el numero de caracteres permitidos de 40'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($telefono == '' || strlen($telefono) > 20) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento telefono esta vacio o supera el numero de caracteres permitidos de 20'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if ($fecha_pedido == '' || strlen($fecha_pedido) > 10) {
            $json[] = array(
                'code' => 400,
                'message' => 'Argumento fecha_pedido esta vacio o supera el numero de caracteres permitidos de 10'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        if (validaCodigoP($codped, $mysqli)) {
            $json[] = array(
                'code' => 409,
                'message' => 'Se esta intentando crear un codigo de pedido que ya existe, por favor validar.'
            );
            $jsonstring = json_encode($json);
            exit($jsonstring);
        }
        //Validacion de lineas de pedido 
        $l = 1;
        foreach ($lineas as $linea) {
            $codart = $linea['codart'];
            $codlot = $linea['codlot'];
            $desart = $linea['desart'];
            $caduci = $linea['caduci'];
            $cantidad = $linea['cantidad'];
            $dias_caduci = $linea['dias_caduci'];
            $acon = $linea['acon'];
            $descripcion_acon = $linea['descripcion_acon'];
            $valor_unitario = $linea['valor_unitario'];

            if ($codart == '' || strlen($codart) > 20) {
                $json[] = array(
                    'code' => 400,
                    'message' => 'Argumento codart esta vacio o supera el numero de caracteres permitidos de 20. Linea ->' . $l
                );
                $jsonstring = json_encode($json);
                exit($jsonstring);
            }

            if ($cantidad == '' || is_numeric($cantidad) != 1) {
                $json[] = array(
                    'code' => 400,
                    'message' => 'Argumento cantidad esta vacio o no es un numero entero valido. Linea ->' . $l
                );
                $jsonstring = json_encode($json);
                exit($jsonstring);
            }
            $l++;
        }
        //Insertar cabecera(DIVISION,CONSECUTIVO,CODPED,SUPEDIDO,CODCLI,NIT,DESCLI,POBLACION,DIRECCION,TELEFONO,FECHA_PEDIDO,FECHA_ENTREGA,VALOR_ASEGURADO,OBSERVACION,USUARIO,FECINS,HORAINS,FECMODIF,HORAMODIF,STATUS,TIPOPED,CORTO_VENCIMIENTO) values       ('0031','1','S59925',null,'12679','12679','12679','18335','18335','12679','2460165',null,'0',null,'DEVELOP','2460165','17:56','2460165','17:56','11500','sales_order',null);

        $sql = "INSERT INTO XIPCABPEDIDOS VALUES (null, '$cliente','1','$codped','$supedido','$codcli','$nit',
                    '$descli','$poblacion','$direccion','$telefono','$jd','','$valor_asegurado','$observacion',
                    '$usuario','$jd','$hora','$jd','$hora','100','','','','','','','')";
        $result = $mysqli->query($sql);

        //Insertar lineas
        foreach ($lineas as $linea) {
            $codart = $linea['codart'];
            $codlot = $linea['codlot'];
            $desart = $linea['desart'];
            $caduci = $linea['caduci'];
            $cantidad = $linea['cantidad'];
            $dias_caduci = $linea['dias_caduci'];
            $acon = $linea['acon'];
            $descripcion_acon = $linea['descripcion_acon'];
            $valor_unitario = $linea['valor_unitario'];

            //(DIVISION,CODPED,CODART,CODLOT,CADUCI,DIAS_CADUCIDAD,ACON,DESCRIPCION_ACON,VALOR_UNITARIO,DESART,USUARIO,FECINS,HORAINS,FECMODIF,HORAMODIF,STATUS,CANTIDAD) values ('0031','S59925','01991',null,null,null,'N',null,null,'[01991] AV CLEANANCE barra 100 g','DEVELOP','2460165','17:56','2460165','17:56','11500','4')
            $sql = "INSERT INTO XIPLINPEDIDOS VALUES (null, '$cliente','$codped','$codart','$codlot','$caduci',
                        '$dias_caduci','$acon','$descripcion_acon','$valor_unitario','$desart','$usuario',
                        '$jd','$hora','$jd','$hora','100','$cantidad','','','','')";
            $result = $mysqli->query($sql);
        }
        $json[] = array(
            'code' => 200,
            'message' => 'Traferencia exitosa'
        );
        $jsonstring = json_encode($json);
        echo $jsonstring;
    } else {
        $json[] = array(
            'code' => 401,
            'message' => 'Error in user or password'
        );
        $jsonstring = json_encode($json);
        echo $jsonstring;
    }
}
